Bug 83494 - Mouse cursor does not change shape properly
Mouse cursor does not change shape properly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-04 16:52 EST by Need Real Name
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 15:04:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-02-04 16:52:08 EST
Description of problem:

When closing a terminal (Xterm, gnome-terminal, Eterm) while the mouse
cursor is inside the window the cursor retains the "I" shape till a new
terminal or window is opened and the cursor again is moved inside the
window. This makes it difficult to click on panel icons and open menus.
In extreme cases it even reduces in size to a point.
This also happens when there are no window 'borders' to cross (for example
when using a borderless Eterm) and the cursor is moved out of the window.

This happens with phoebe2 with all the latest updates on an i8100 and an
i8200 using the 'nv' driver and using the 'default' mouse cursor.
(I have not tried the other 3 cursors from the menu).

Version-Release number of selected component (if applicable):

XFree86-4.2.99.3-20030118.3, redhat-config-mouse-1.0.3-4


How reproducible:

Always

Steps to Reproduce:
1. See above
2.
3.
    
Actual results:


Expected results:

Outside the terminal window the cursor should appear as a arrow again.

Additional info:
Comment 1 Mike A. Harris 2004-09-24 15:04:38 EDT
Please upgrade to Fedora Core 2 or later, and if this issue turns
out to still be reproduceable, please file a bug report in the
X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.